Package com.io7m.cardant.protocol.inventory

# Record Class CAIResponseError

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.CAIResponseError

Record Components:
  `requestId` - The request ID
  `message` - The error summary
  `errorCode` - The error kind
  `attributes` - The error attributes
  `remediatingAction` - The remediating action, if any
  `exception` - The exception associated with the error, if any
  `blame` - The blame assignment
  `extras` - The extra error messages

All Implemented Interfaces:
  `CAProtocolMessageType`, `CAIMessageType`, `CAIResponseType`, `com.io7m.hibiscus.api.HBMessageType`, `com.io7m.hibiscus.api.HBResponseType`, `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`

public record CAIResponseError(UUID requestId, String message, CAErrorCode errorCode, Map<String,String> attributes, Optional<String> remediatingAction, Optional<Throwable> exception, CAIResponseBlame blame, List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>> extras) extends Record implements CAIResponseType, com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>
A command failed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAIResponseError(UUID requestId, String message, CAErrorCode errorCode, Map<String,String> attributes, Optional<String> remediatingAction, Optional<Throwable> exception, CAIResponseBlame blame, List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>> extras)`
  A command failed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `attributes()`
  Returns the value of the `attributes` record component.
  `CAIResponseBlame`
  `blame()`
  Returns the value of the `blame` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAErrorCode`
  `errorCode()`
  Returns the value of the `errorCode` record component.
  `Optional<Throwable>`
  `exception()`
  Returns the value of the `exception` record component.
  `List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>>`
  `extras()`
  Returns the value of the `extras` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `Optional<String>`
  `remediatingAction()`
  Returns the value of the `remediatingAction` record component.
  `UUID`
  `requestId()`
  Returns the value of the `requestId` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAIResponseError

    public CAIResponseError(UUID requestId, String message, CAErrorCode errorCode, Map<String,String> attributes, Optional<String> remediatingAction, Optional<Throwable> exception, CAIResponseBlame blame, List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>> extras)
    A command failed.
    Parameters:
      `requestId` - The request ID
      `message` - The error summary
      `errorCode` - The error kind
      `attributes` - The error attributes
      `remediatingAction` - The remediating action, if any
      `exception` - The exception associated with the error, if any
      `blame` - The blame assignment
      `extras` - The extra error messages

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### requestId

    public UUID requestId()
    Returns the value of the `requestId` record component.
    Specified by:
      `requestId` in interface `CAIResponseType`
    Returns:
      the value of the `requestId` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Specified by:
      `message` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `message` record component

  - ### errorCode

    public CAErrorCode errorCode()
    Returns the value of the `errorCode` record component.
    Specified by:
      `errorCode` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `errorCode` record component

  - ### attributes

    public Map<String,String> attributes()
    Returns the value of the `attributes` record component.
    Specified by:
      `attributes` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `attributes` record component

  - ### remediatingAction

    public Optional<String> remediatingAction()
    Returns the value of the `remediatingAction` record component.
    Specified by:
      `remediatingAction` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `remediatingAction` record component

  - ### exception

    public Optional<Throwable> exception()
    Returns the value of the `exception` record component.
    Specified by:
      `exception` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `exception` record component

  - ### blame

    public CAIResponseBlame blame()
    Returns the value of the `blame` record component.
    Returns:
      the value of the `blame` record component

  - ### extras

    public List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>> extras()
    Returns the value of the `extras` record component.
    Returns:
      the value of the `extras` record component